"use strict";
const index_1 = require("../lib/index");
const profiler_1 = require("../lib/profiler");
const repl = new index_1.REPL();
const profiler = new profiler_1.EvaluationProfiler();
repl.use(profiler.start());
repl.use({
    evaluate(input) {
        const timeout = parseInt(input);
        if (typeof timeout !== 'number')
            throw new Error(`must specify a number`);
        return new Promise((accept, reject) => {
            setTimeout(accept, timeout);
        });
    }
});
repl.use(profiler.end());
repl.start();
