
import { REPL } from "../lib/index"
import { EvaluationProfiler } from "../lib/profiler"

const repl = new REPL()
const profiler = new EvaluationProfiler()

repl.use(profiler.start())
repl.use({
  evaluate(input) {
    const timeout = parseInt(input)
    if (typeof timeout !== 'number')
      throw new Error(`must specify a number`)
    console.log('Doing some complex operation ...')
    return new Promise((accept, reject) => {
      setTimeout(accept, timeout)
    })
  }
})
repl.use(profiler.end())

repl.start()

